<?php
class dsEasyProtect
{
	static public function getProtect($price)
	{
		$config = stConfig::getInstance('dsEasyProtectBackend');
		if($config->get('run') == 1)
		{
			$url = "https://api.easyprotect.pl/certificate/available-policies?price=".($price*100);
			$authorization = "Authorization: ".$config->get('api');
			$response = self::callAPI('GET', $url, '', $authorization);
			return json_decode($response);
		}
		
	}
	
	static public function callAPI($method, $url, $data, $authorization)
	{
	   $curl = curl_init();
	
	   switch ($method){
	      case "POST":
	         curl_setopt($curl, CURLOPT_POST, 1);
	         if ($data)
	            curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
	         break;
	      case "PUT":
	         curl_setopt($curl, CURLOPT_CUSTOMREQUEST, "PUT");
	         if ($data)
	            curl_setopt($curl, CURLOPT_POSTFIELDS, $data);			 					
	         break;
	      default:
	         if ($data)
	            $url = sprintf("%s?%s", $url, http_build_query($data));
	   }
	
	   // OPTIONS:
	   curl_setopt($curl, CURLOPT_URL, $url);
	   
	   curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
	   curl_setopt($curl, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
	   if($authorization)
	   {
	   	 curl_setopt($curl, CURLOPT_HTTPHEADER, array($authorization));
	   }
	
	   // EXECUTE:
	   $result = curl_exec($curl);
	   $info = curl_getinfo($curl);
	   if(!$result){die("Connection Failure");}
	   curl_close($curl);
	   return $result;
	}
}
