<?php
class dsEasyProtectBackendActions extends stActions
{
	public function executeConfig()
	{
		$context = $this->getContext();
    	
        $this->config = stConfig::getInstance('dsEasyProtectBackend');

        if ($this->getRequest()->getMethod() == sfRequest::POST)
        {
            $this->config->setFromRequest('config');
            $this->config->save();
            $this->setFlash('notice', $context->getI18n()->__('Twoje zmiany zostały zapisane', null, 'stAdminGeneratorPlugin'));
        }
        $this->labels = $this->getLabels();
		$c = new Criteria();
		$c->add(WebpagePeer::ACTIVE, 1);
		$this->webs = WebpagePeer::doSelect($c);
	}
	protected function getLabels()
    {
        $i18n = $this->getContext()->getI18n();

        return array(
            'config{run}' => $i18n->__('Włącz moduł'),
            'config{api}' => $i18n->__('Klucz API'),
            'config{url}' => $i18n->__('Adres strony'),
        );  
    }
	public function executeEasyprotectEnable()
   {
      stAuthUsersListener::checkModificationCredentials($this, $this->getRequest(), $this->getModuleName());

      $products = ProductPeer::retrieveByPKs($this->getRequestParameter('product[selected]', array()));

      foreach ($products as $product)
      {
         $product->setEasyProtect(true);

         $product->save();
      }

      return $this->redirect('stProduct/list?page='.$this->getRequestParameter('page', 1));
   }

   public function executeEasyprotectDisable()
   {
      stAuthUsersListener::checkModificationCredentials($this, $this->getRequest(), $this->getModuleName());
      
      $products = ProductPeer::retrieveByPKs($this->getRequestParameter('product[selected]', array()));

      foreach ($products as $product)
      {
         $product->setEasyProtect(false);

         $product->save();
      }

      return $this->redirect('stProduct/list?page='.$this->getRequestParameter('page', 1));
   }
}
	